diff --git a/framework/source/uielement/toolbarsmenucontroller.cxx b/framework/source/uielement/toolbarsmenucontroller.cxx
index 1b649c8..85daea0 100644
--- a/framework/source/uielement/toolbarsmenucontroller.cxx
+++ b/framework/source/uielement/toolbarsmenucontroller.cxx
@@ -149,23 +149,23 @@ ToolbarsMenuController::~ToolbarsMenuController()
 }
 
 void ToolbarsMenuController::addCommand(
-    Reference< css::awt::XPopupMenu >& rPopupMenu, const OUString& rCommandURL, const OUString& rLabel )
+    Reference< css::awt::XPopupMenu >& rPopupMenu, const OUString& rActionURL, const OUString& rLabel )
 {
     sal_uInt16        nItemId    = m_xPopupMenu->getItemCount()+1;
 
     OUString aLabel;
     if ( rLabel.isEmpty() )
-        aLabel = vcl::CommandInfoProvider::Instance().GetMenuLabelForCommand( rCommandURL, m_xFrame );
+        aLabel = vcl::CommandInfoProvider::Instance().GetMenuLabelForCommand( rActionURL, m_xFrame );
     else
         aLabel = rLabel;
 
     rPopupMenu->insertItem( nItemId, aLabel, 0, nItemId );
-    rPopupMenu->setCommand( nItemId, rCommandURL );
+    rPopupMenu->setCommand( nItemId, rActionURL );
 
-    bool bInternal = rCommandURL.startsWith( STATIC_INTERNAL_CMD_PART );
+    bool bInternal = rActionURL.startsWith( STATIC_INTERNAL_CMD_PART );
     if ( !bInternal )
     {
-        if ( !getDispatchFromCommandURL( rCommandURL ).is() )
+        if ( !getDispatchFromActionURL( rActionURL ).is() )
             m_xPopupMenu->enableItem( nItemId, false );
     }
 
@@ -175,7 +175,7 @@ void ToolbarsMenuController::addCommand(
     const StyleSettings& rSettings = Application::GetSettings().GetStyleSettings();
 
     if ( rSettings.GetUseImagesInMenus() )
-        aImage = vcl::CommandInfoProvider::Instance().GetImageForCommand( rCommandURL, false, m_xFrame );
+        aImage = vcl::CommandInfoProvider::Instance().GetImageForCommand( rActionURL, false, m_xFrame );
 
     VCLXPopupMenu* pPopupMenu = static_cast<VCLXPopupMenu *>(VCLXPopupMenu::GetImplementation( rPopupMenu ));
     if ( pPopupMenu )
@@ -185,12 +185,12 @@ void ToolbarsMenuController::addCommand(
             pVCLPopupMenu->SetItemImage( nItemId, aImage );
     }
 
-    m_aCommandVector.push_back( rCommandURL );
+    m_aCommandVector.push_back( rActionURL );
 }
 
-Reference< XDispatch > ToolbarsMenuController::getDispatchFromCommandURL( const OUString& rCommandURL )
+Reference< XDispatch > ToolbarsMenuController::getDispatchFromActionURL( const OUString& rActionURL )
 {
-    URL                          aTargetURL;
+    URL                          aURL;
     Reference< XURLTransformer > xURLTransformer;
     Reference< XFrame >          xFrame;
 
@@ -200,11 +200,11 @@ Reference< XDispatch > ToolbarsMenuController::getDispatchFromCommandURL( const
         xFrame = m_xFrame;
     }
 
-    aTargetURL.Complete = rCommandURL;
-    xURLTransformer->parseStrict( aTargetURL );
+    aURL.Complete = rActionURL;
+    xURLTransformer->parseStrict( aURL );
     Reference< XDispatchProvider > xDispatchProvider( xFrame, UNO_QUERY );
     if ( xDispatchProvider.is() )
-        return xDispatchProvider->queryDispatch( aTargetURL, OUString(), 0 );
+        return xDispatchProvider->queryDispatch( aURL, OUString(), 0 );
     else
         return Reference< XDispatch >();
 }
@@ -652,22 +652,22 @@ void SAL_CALL ToolbarsMenuController::itemSelected( const css::awt::MenuEvent& r
             }
             else if ( aCmd.indexOf( STATIC_CMD_PART ) < 0 )
             {
-                URL                     aTargetURL;
+                URL aURL;
                 Sequence<PropertyValue> aArgs;
 
-                aTargetURL.Complete = aCmd;
-                xURLTransformer->parseStrict( aTargetURL );
+                aURL.Complete = aCmd;
+                xURLTransformer->parseStrict( aURL );
                 Reference< XDispatchProvider > xDispatchProvider( m_xFrame, UNO_QUERY );
                 if ( xDispatchProvider.is() )
                 {
                     Reference< XDispatch > xDispatch = xDispatchProvider->queryDispatch(
-                                                            aTargetURL, OUString(), 0 );
+                                                            aURL, OUString(), 0 );
 
-                    ExecuteInfo* pExecuteInfo = new ExecuteInfo;
-                    pExecuteInfo->xDispatch     = xDispatch;
-                    pExecuteInfo->aTargetURL    = aTargetURL;
-                    pExecuteInfo->aArgs         = aArgs;
-                    Application::PostUserEvent( LINK(nullptr, ToolbarsMenuController, ExecuteHdl_Impl), pExecuteInfo );
+                    GoInfo* pGoInfo = new GoInfo;
+                    pGoInfo->xDispatch = xDispatch;
+                    pGoInfo->aURL = aURL;
+                    pGoInfo->aArgs = aArgs;
+                    Application::PostUserEvent( LINK(nullptr, ToolbarsMenuController, ExecuteHdl_Impl), pGoInfo );
                 }
             }
             else
@@ -722,14 +722,14 @@ void SAL_CALL ToolbarsMenuController::itemActivated( const css::awt::MenuEvent&
 
         if ( !bInternal )
         {
-            URL aTargetURL;
-            aTargetURL.Complete = aCmdVector[i];
-            xURLTransformer->parseStrict( aTargetURL );
-            Reference< XDispatch > xDispatch = xDispatchProvider->queryDispatch( aTargetURL, OUString(), 0 );
+            URL aURL;
+            aURL.Complete = aCmdVector[i];
+            xURLTransformer->parseStrict( aURL );
+            Reference< XDispatch > xDispatch = xDispatchProvider->queryDispatch( aURL, OUString(), 0 );
             if ( xDispatch.is() )
             {
-                xDispatch->addStatusListener( (static_cast< XStatusListener* >(this)), aTargetURL );
-                xDispatch->removeStatusListener( (static_cast< XStatusListener* >(this)), aTargetURL );
+                xDispatch->addStatusListener( (static_cast< XStatusListener* >(this)), aURL );
+                xDispatch->removeStatusListener( (static_cast< XStatusListener* >(this)), aURL );
             }
         }
         else if ( aCmdVector[i] == CMD_RESTOREVISIBILITY )
@@ -807,22 +807,22 @@ void SAL_CALL ToolbarsMenuController::initialize( const Sequence< Any >& aArgume
 
 IMPL_STATIC_LINK( ToolbarsMenuController, ExecuteHdl_Impl, void*, p, void )
 {
-    ExecuteInfo* pExecuteInfo = static_cast<ExecuteInfo*>(p);
+    GoInfo* pGoInfo = static_cast<GoInfo*>(p);
     try
     {
         // Asynchronous execution as this can lead to our own destruction!
         // Framework can recycle our current frame and the layout manager disposes all user interface
         // elements if a component gets detached from its frame!
-        if ( pExecuteInfo->xDispatch.is() )
+        if ( pGoInfo->xDispatch.is() )
         {
-            pExecuteInfo->xDispatch->dispatch( pExecuteInfo->aTargetURL, pExecuteInfo->aArgs );
+            pGoInfo->xDispatch->dispatch( pGoInfo->aURL, pGoInfo->aArgs );
         }
     }
     catch ( const Exception& )
     {
     }
 
-    delete pExecuteInfo;
+    delete pGoInfo;
 }
 
 }
diff --git a/framework/source/uielement/uicommanddescription.cxx b/framework/source/uielement/uicommanddescription.cxx
index 63fd3e9..2e8481a 100644
--- a/framework/source/uielement/uicommanddescription.cxx
+++ b/framework/source/uielement/uicommanddescription.cxx
@@ -55,7 +55,7 @@ static const char CONFIGURATION_PROPERTY_LABEL[]        = "Label";
 static const char CONFIGURATION_PROPERTY_CONTEXT_LABEL[] = "ContextLabel";
 static const char CONFIGURATION_PROPERTY_POPUP_LABEL[]   = "PopupLabel";
 static const char CONFIGURATION_PROPERTY_TOOLTIP_LABEL[] = "TooltipLabel";
-static const char CONFIGURATION_PROPERTY_TARGET_URL[]    = "TargetURL";
+static const char CONFIGURATION_PROPERTY_RECIPIENT_URL[] = "RecipientURL";
 
 // Property names of the resulting Property Set
 static const char PROPSET_LABEL[]                       = "Label";
@@ -63,7 +63,7 @@ static const char PROPSET_NAME[]                        = "Name";
 static const char PROPSET_POPUP[]                       = "Popup";
 static const char PROPSET_POPUPLABEL[]                  = "PopupLabel";
 static const char PROPSET_TOOLTIPLABEL[]                = "TooltipLabel";
-static const char PROPSET_TARGETURL[]                   = "TargetURL";
+static const char PROPSET_RECIPIENTURL[]                = "RecipientURL";
 static const char PROPSET_PROPERTIES[]                  = "Properties";
 
 // Special resource URLs to retrieve additional information
@@ -125,14 +125,14 @@ class ConfigurationAccess_UICommand : // Order is necessary for right initializa
             OUString            aCommandName;
             OUString            aPopupLabel;
             OUString            aTooltipLabel;
-            OUString            aTargetURL;
+            OUString            aURL;
             bool                bPopup : 1,
                                 bCommandNameCreated : 1;
             sal_Int32           nProperties;
         };
 
-        Any                       getSequenceFromCache( const OUString& aCommandURL );
-        Any                       getInfoFromCommand( const OUString& rCommandURL );
+        Any                       getSequenceFromCache( const OUString& aActionURL );
+        Any                       getInfoFromCommand( const OUString& rActionURL );
         void                      fillInfoFromResult( CmdToInfoMap& rCmdInfo, const OUString& aLabel );
         Sequence< OUString > getAllCommands();
         void                  fillCache();
@@ -155,13 +155,13 @@ class ConfigurationAccess_UICommand : // Order is necessary for right initializa
         OUString                     m_aPropUIContextLabel;
         OUString                     m_aPropUIPopupLabel;
         OUString                     m_aPropUITooltipLabel;
-        OUString                     m_aPropUITargetURL;
+        OUString                     m_aPropUIRecipientURL;
         OUString                     m_aPropLabel;
         OUString                     m_aPropName;
         OUString                     m_aPropPopup;
         OUString                     m_aPropPopupLabel;
         OUString                     m_aPropTooltipLabel;
-        OUString                     m_aPropTargetURL;
+        OUString                     m_aPropRecipientURL;
         OUString                     m_aPropProperties;
         OUString                     m_aPrivateResourceURL;
         Reference< XNameAccess >          m_xGenericUICommands;
@@ -188,13 +188,13 @@ ConfigurationAccess_UICommand::ConfigurationAccess_UICommand( const OUString& aM
     m_aPropUIContextLabel( CONFIGURATION_PROPERTY_CONTEXT_LABEL ),
     m_aPropUIPopupLabel( CONFIGURATION_PROPERTY_POPUP_LABEL ),
     m_aPropUITooltipLabel( CONFIGURATION_PROPERTY_TOOLTIP_LABEL ),
-    m_aPropUITargetURL( CONFIGURATION_PROPERTY_TARGET_URL ),
+    m_aPropUIRecipientURL( CONFIGURATION_PROPERTY_RECIPIENT_URL ),
     m_aPropLabel( PROPSET_LABEL ),
     m_aPropName( PROPSET_NAME ),
     m_aPropPopup( PROPSET_POPUP ),
     m_aPropPopupLabel( PROPSET_POPUPLABEL ),
     m_aPropTooltipLabel( PROPSET_TOOLTIPLABEL ),
-    m_aPropTargetURL( PROPSET_TARGETURL ),
+    m_aPropRecipientURL( PROPSET_RECIPIENTURL ),
     m_aPropProperties( PROPSET_PROPERTIES ),
     m_aPrivateResourceURL( PRIVATE_RESOURCE_URL ),
     m_xGenericUICommands( rGenericUICommands ),
@@ -225,7 +225,7 @@ ConfigurationAccess_UICommand::~ConfigurationAccess_UICommand()
 }
 
 // XNameAccess
-Any SAL_CALL ConfigurationAccess_UICommand::getByNameImpl( const OUString& rCommandURL )
+Any SAL_CALL ConfigurationAccess_UICommand::getByNameImpl( const OUString& rActionURL )
 {
     static sal_Int32 nRequests  = 0;
 
@@ -237,17 +237,17 @@ Any SAL_CALL ConfigurationAccess_UICommand::getByNameImpl( const OUString& rComm
         fillCache();
     }
 
-    if ( rCommandURL.startsWith( m_aPrivateResourceURL ) )
+    if ( rActionURL.startsWith( m_aPrivateResourceURL ) )
     {
         // special keys to retrieve information about a set of commands
         // SAFE
         addGenericInfoToCache();
 
-        if ( rCommandURL.equalsIgnoreAsciiCase( UICOMMANDDESCRIPTION_NAMEACCESS_COMMANDIMAGELIST ))
+        if ( rActionURL.equalsIgnoreAsciiCase( UICOMMANDDESCRIPTION_NAMEACCESS_COMMANDIMAGELIST ))
             return makeAny( m_aCommandImageList );
-        else if ( rCommandURL.equalsIgnoreAsciiCase( UICOMMANDDESCRIPTION_NAMEACCESS_COMMANDROTATEIMAGELIST ))
+        else if ( rActionURL.equalsIgnoreAsciiCase( UICOMMANDDESCRIPTION_NAMEACCESS_COMMANDROTATEIMAGELIST ))
             return makeAny( m_aCommandRotateImageList );
-        else if ( rCommandURL.equalsIgnoreAsciiCase( UICOMMANDDESCRIPTION_NAMEACCESS_COMMANDMIRRORIMAGELIST ))
+        else if ( rActionURL.equalsIgnoreAsciiCase( UICOMMANDDESCRIPTION_NAMEACCESS_COMMANDMIRRORIMAGELIST ))
             return makeAny( m_aCommandMirrorImageList );
         else
             return Any();
@@ -256,14 +256,14 @@ Any SAL_CALL ConfigurationAccess_UICommand::getByNameImpl( const OUString& rComm
     {
         // SAFE
         ++nRequests;
-        return getInfoFromCommand( rCommandURL );
+        return getInfoFromCommand( rActionURL );
     }
 }
 
-Any SAL_CALL ConfigurationAccess_UICommand::getByName( const OUString& rCommandURL )
+Any SAL_CALL ConfigurationAccess_UICommand::getByName( const OUString& rActionURL )
 throw ( NoSuchElementException, WrappedTargetException, RuntimeException, std::exception)
 {
-    Any aRet( getByNameImpl( rCommandURL ) );
+    Any aRet( getByNameImpl( rActionURL ) );
     if( !aRet.hasValue() )
         throw NoSuchElementException();
 
@@ -276,10 +276,10 @@ throw ( RuntimeException, std::exception )
     return getAllCommands();
 }
 
-sal_Bool SAL_CALL ConfigurationAccess_UICommand::hasByName( const OUString& rCommandURL )
+sal_Bool SAL_CALL ConfigurationAccess_UICommand::hasByName( const OUString& rActionURL )
 throw (css::uno::RuntimeException, std::exception)
 {
-    return getByNameImpl( rCommandURL ).hasValue();
+    return getByNameImpl( rActionURL ).hasValue();
 }
 
 // XElementAccess
@@ -305,9 +305,9 @@ void ConfigurationAccess_UICommand::fillInfoFromResult( CmdToInfoMap& rCmdInfo,
     rCmdInfo.bCommandNameCreated = true;
 }
 
-Any ConfigurationAccess_UICommand::getSequenceFromCache( const OUString& aCommandURL )
+Any ConfigurationAccess_UICommand::getSequenceFromCache( const OUString& aActionURL )
 {
-    CommandToInfoCache::iterator pIter = m_aCmdInfoCache.find( aCommandURL );
+    CommandToInfoCache::iterator pIter = m_aCmdInfoCache.find( aActionURL );
     if ( pIter != m_aCmdInfoCache.end() )
     {
         if ( !pIter->second.bCommandNameCreated )
@@ -327,13 +327,14 @@ Any ConfigurationAccess_UICommand::getSequenceFromCache( const OUString& aComman
         aPropSeq[4].Value <<= pIter->second.aPopupLabel;
         aPropSeq[5].Name  = m_aPropTooltipLabel;
         aPropSeq[5].Value <<= pIter->second.aTooltipLabel;
-        aPropSeq[6].Name  = m_aPropTargetURL;
-        aPropSeq[6].Value <<= pIter->second.aTargetURL;
+        aPropSeq[6].Name  = m_aPropRecipientURL;
+        aPropSeq[6].Value <<= pIter->second.aURL;
         return makeAny( aPropSeq );
     }
 
     return Any();
 }
+
 void ConfigurationAccess_UICommand::impl_fill(const Reference< XNameAccess >& _xConfigAccess,bool _bPopup,
                                                 std::vector< OUString >& aImageCommandVector,
                                                 std::vector< OUString >& aImageRotateVector,
@@ -357,7 +358,7 @@ void ConfigurationAccess_UICommand::impl_fill(const Reference< XNameAccess >& _x
                     xNameAccess->getByName( m_aPropUIContextLabel ) >>= aCmdToInfo.aContextLabel;
                     xNameAccess->getByName( m_aPropUIPopupLabel )   >>= aCmdToInfo.aPopupLabel;
                     xNameAccess->getByName( m_aPropUITooltipLabel )   >>= aCmdToInfo.aTooltipLabel;
-                    xNameAccess->getByName( m_aPropUITargetURL )    >>= aCmdToInfo.aTargetURL;
+                    xNameAccess->getByName( m_aPropUIRecipientURL )    >>= aCmdToInfo.aURL;
                     xNameAccess->getByName( m_aPropProperties )     >>= aCmdToInfo.nProperties;
 
                     m_aCmdInfoCache.insert( CommandToInfoCache::value_type( aNameSeq[i], aCmdToInfo ));
@@ -436,22 +437,22 @@ void ConfigurationAccess_UICommand::addGenericInfoToCache()
     }
 }
 
-Any ConfigurationAccess_UICommand::getInfoFromCommand( const OUString& rCommandURL )
+Any ConfigurationAccess_UICommand::getInfoFromCommand( const OUString& rActionURL )
 {
     Any a;
 
     try
     {
-        a = getSequenceFromCache( rCommandURL );
+        a = getSequenceFromCache( rActionURL );
         if ( !a.hasValue() )
         {
             // First try to ask our global commands configuration access. It also caches maybe
             // we find the entry in its cache first.
-            if ( m_xGenericUICommands.is() && m_xGenericUICommands->hasByName( rCommandURL ) )
+            if ( m_xGenericUICommands.is() && m_xGenericUICommands->hasByName( rActionURL ) )
             {
                 try
                 {
-                    return m_xGenericUICommands->getByName( rCommandURL );
+                    return m_xGenericUICommands->getByName( rActionURL );
                 }
                 catch (const css::lang::WrappedTargetException&)
                 {
diff --git a/framework/source/uifactory/factoryconfiguration.cxx b/framework/source/uifactory/factoryconfiguration.cxx
index fdc06a6..15591b4 100644
--- a/framework/source/uifactory/factoryconfiguration.cxx
+++ b/framework/source/uifactory/factoryconfiguration.cxx
@@ -44,9 +44,9 @@ using namespace com::sun::star::container;
 
 namespace framework
 {
-OUString getHashKeyFromStrings( const OUString& aCommandURL, const OUString& aModuleName )
+OUString getHashKeyFromStrings( const OUString& aActionURL, const OUString& aModuleName )
 {
-    OUStringBuffer aKey( aCommandURL );
+    OUStringBuffer aKey( aActionURL );
     aKey.append( "-" );
     aKey.append( aModuleName );
     return aKey.makeStringAndClear();
@@ -74,17 +74,17 @@ ConfigurationAccess_ControllerFactory::~ConfigurationAccess_ControllerFactory()
         xContainer->removeContainerListener(m_xConfigAccessListener);
 }
 
-OUString ConfigurationAccess_ControllerFactory::getServiceFromCommandModule( const OUString& rCommandURL, const OUString& rModule ) const
+OUString ConfigurationAccess_ControllerFactory::getServiceFromCommandModule( const OUString& rActionURL, const OUString& rModule ) const
 {
     osl::MutexGuard g(m_mutex);
-    MenuControllerMap::const_iterator pIter = m_aMenuControllerMap.find( getHashKeyFromStrings( rCommandURL, rModule ));
+    MenuControllerMap::const_iterator pIter = m_aMenuControllerMap.find( getHashKeyFromStrings( rActionURL, rModule ));
 
     if ( pIter != m_aMenuControllerMap.end() )
         return pIter->second.m_aImplementationName;
     else if ( !rModule.isEmpty() )
     {
         // Try to detect if we have a generic popup menu controller
-        pIter = m_aMenuControllerMap.find( getHashKeyFromStrings( rCommandURL, OUString() ));
+        pIter = m_aMenuControllerMap.find( getHashKeyFromStrings( rActionURL, OUString() ));
 
         if ( pIter != m_aMenuControllerMap.end() )
             return pIter->second.m_aImplementationName;
@@ -92,18 +92,19 @@ OUString ConfigurationAccess_ControllerFactory::getServiceFromCommandModule( con
 
     return OUString();
 }
-OUString ConfigurationAccess_ControllerFactory::getValueFromCommandModule( const OUString& rCommandURL, const OUString& rModule ) const
+
+OUString ConfigurationAccess_ControllerFactory::getValueFromCommandModule( const OUString& rActionURL, const OUString& rModule ) const
 {
     osl::MutexGuard g(m_mutex);
 
-    MenuControllerMap::const_iterator pIter = m_aMenuControllerMap.find( getHashKeyFromStrings( rCommandURL, rModule ));
+    MenuControllerMap::const_iterator pIter = m_aMenuControllerMap.find( getHashKeyFromStrings( rActionURL, rModule ));
 
     if ( pIter != m_aMenuControllerMap.end() )
         return pIter->second.m_aValue;
     else if ( !rModule.isEmpty() )
     {
         // Try to detect if we have a generic popup menu controller
-        pIter = m_aMenuControllerMap.find( getHashKeyFromStrings( rCommandURL, OUString() ));
+        pIter = m_aMenuControllerMap.find( getHashKeyFromStrings( rActionURL, OUString() ));
 
         if ( pIter != m_aMenuControllerMap.end() )
             return pIter->second.m_aValue;
@@ -113,23 +114,23 @@ OUString ConfigurationAccess_ControllerFactory::getValueFromCommandModule( const
 }
 
 void ConfigurationAccess_ControllerFactory::addServiceToCommandModule(
-    const OUString& rCommandURL,
+    const OUString& rActionURL,
     const OUString& rModule,
     const OUString& rServiceSpecifier )
 {
     osl::MutexGuard g(m_mutex);
 
-    OUString aHashKey = getHashKeyFromStrings( rCommandURL, rModule );
+    OUString aHashKey = getHashKeyFromStrings( rActionURL, rModule );
     m_aMenuControllerMap.insert( MenuControllerMap::value_type( aHashKey,ControllerInfo(rServiceSpecifier,OUString()) ));
 }
 
 void ConfigurationAccess_ControllerFactory::removeServiceFromCommandModule(
-    const OUString& rCommandURL,
+    const OUString& rActionURL,
     const OUString& rModule )
 {
     osl::MutexGuard g(m_mutex);
 
-    OUString aHashKey = getHashKeyFromStrings( rCommandURL, rModule );
+    OUString aHashKey = getHashKeyFromStrings( rActionURL, rModule );
     m_aMenuControllerMap.erase( aHashKey );
 }
 
diff --git a/framework/source/uifactory/uicontrollerfactory.cxx b/framework/source/uifactory/uicontrollerfactory.cxx
index ad280b4..9e833a0 100644
--- a/framework/source/uifactory/uicontrollerfactory.cxx
+++ b/framework/source/uifactory/uicontrollerfactory.cxx
@@ -55,9 +55,9 @@ public:
     virtual css::uno::Sequence< OUString > SAL_CALL getAvailableServiceNames() throw (css::uno::RuntimeException, std::exception) override;
 
     // XUIControllerRegistration
-    virtual sal_Bool SAL_CALL hasController( const OUString& aCommandURL, const OUString& aModuleName ) throw (css::uno::RuntimeException, std::exception) override;
-    virtual void SAL_CALL registerController( const OUString& aCommandURL, const OUString& aModuleName, const OUString& aControllerImplementationName ) throw (css::uno::RuntimeException, std::exception) override;
-    virtual void SAL_CALL deregisterController( const OUString& aCommandURL, const OUString& aModuleName ) throw (css::uno::RuntimeException, std::exception) override;
+    virtual sal_Bool SAL_CALL hasController( const OUString& aActionURL, const OUString& aModuleName ) throw (css::uno::RuntimeException, std::exception) override;
+    virtual void SAL_CALL registerController( const OUString& aActionURL, const OUString& aModuleName, const OUString& aControllerImplementationName ) throw (css::uno::RuntimeException, std::exception) override;
+    virtual void SAL_CALL deregisterController( const OUString& aActionURL, const OUString& aModuleName ) throw (css::uno::RuntimeException, std::exception) override;
 
 protected:
     UIControllerFactory( const css::uno::Reference< css::uno::XComponentContext >& xContext, const rtl::OUString &rUINode  );
@@ -146,7 +146,7 @@ throw (Exception, RuntimeException, std::exception)
 
     // Append the command URL to the Arguments sequence so that one controller can be
     // used for more than one command URL.
-    aPropValue.Name     = "CommandURL";
+    aPropValue.Name     = "ActionURL";
     aPropValue.Value  <<= ServiceSpecifier;
     aNewArgs[nAppendIndex] <<= aPropValue;
 
@@ -186,7 +186,7 @@ throw (RuntimeException, std::exception)
 
 // XUIControllerRegistration
 sal_Bool SAL_CALL UIControllerFactory::hasController(
-    const OUString& aCommandURL,
+    const OUString& aActionURL,
     const OUString& aModuleName )
 throw (css::uno::RuntimeException, std::exception)
 {
@@ -198,11 +198,11 @@ throw (css::uno::RuntimeException, std::exception)
         m_pConfigAccess->readConfigurationData();
     }
 
-    return ( !m_pConfigAccess->getServiceFromCommandModule( aCommandURL, aModuleName ).isEmpty() );
+    return ( !m_pConfigAccess->getServiceFromCommandModule( aActionURL, aModuleName ).isEmpty() );
 }
 
 void SAL_CALL UIControllerFactory::registerController(
-    const OUString& aCommandURL,
+    const OUString& aActionURL,
     const OUString& aModuleName,
     const OUString& aControllerImplementationName )
 throw (RuntimeException, std::exception)
@@ -216,12 +216,12 @@ throw (RuntimeException, std::exception)
         m_pConfigAccess->readConfigurationData();
     }
 
-    m_pConfigAccess->addServiceToCommandModule( aCommandURL, aModuleName, aControllerImplementationName );
+    m_pConfigAccess->addServiceToCommandModule( aActionURL, aModuleName, aControllerImplementationName );
     // SAFE
 }
 
 void SAL_CALL UIControllerFactory::deregisterController(
-    const OUString& aCommandURL,
+    const OUString& aActionURL,
     const OUString& aModuleName )
 throw (RuntimeException, std::exception)
 {
@@ -234,7 +234,7 @@ throw (RuntimeException, std::exception)
         m_pConfigAccess->readConfigurationData();
     }
 
-    m_pConfigAccess->removeServiceFromCommandModule( aCommandURL, aModuleName );
+    m_pConfigAccess->removeServiceFromCommandModule( aActionURL, aModuleName );
     // SAFE
 }
 
diff --git a/framework/source/xml/acceleratorconfigurationreader.cxx b/framework/source/xml/acceleratorconfigurationreader.cxx
index fe58cc7..9b58ecd 100644
--- a/framework/source/xml/acceleratorconfigurationreader.cxx
+++ b/framework/source/xml/acceleratorconfigurationreader.cxx
@@ -216,7 +216,7 @@ void SAL_CALL AcceleratorConfigurationReader::ignorableWhitespace(const OUString
 {
 }
 
-void SAL_CALL AcceleratorConfigurationReader::processingInstruction(const OUString& /*sTarget*/,
+void SAL_CALL AcceleratorConfigurationReader::processingInstruction(const OUString& /*sRecipient*/,
                                                                     const OUString& /*sData*/  )
     throw(css::xml::sax::SAXException,
           css::uno::RuntimeException, std::exception )
diff --git a/framework/source/xml/imagesdocumenthandler.cxx b/framework/source/xml/imagesdocumenthandler.cxx
index 913324f..dabca1e 100644
--- a/framework/source/xml/imagesdocumenthandler.cxx
+++ b/framework/source/xml/imagesdocumenthandler.cxx
@@ -320,7 +320,7 @@ void SAL_CALL OReadImagesDocumentHandler::startElement(
                         {
                             case IMG_ATTRIBUTE_COMMAND:
                             {
-                                pItem->aCommandURL  = xAttribs->getValueByIndex( n );
+                                pItem->aActionURL  = xAttribs->getValueByIndex( n );
                             }
                             break;
 
@@ -348,7 +348,7 @@ void SAL_CALL OReadImagesDocumentHandler::startElement(
                 }
 
                 // Check required attribute "command"
-                if ( pItem->aCommandURL.isEmpty() )
+                if ( pItem->aActionURL.isEmpty() )
                 {
                     delete m_pImages;
                     m_pImages = nullptr;
@@ -432,7 +432,7 @@ void SAL_CALL OReadImagesDocumentHandler::startElement(
                         {
                             case IMG_ATTRIBUTE_COMMAND:
                             {
-                                pItem->aCommandURL  = xAttribs->getValueByIndex( n );
+                                pItem->aActionURL  = xAttribs->getValueByIndex( n );
                             }
                             break;
 
@@ -449,7 +449,7 @@ void SAL_CALL OReadImagesDocumentHandler::startElement(
                 }
 
                 // Check required attribute "command"
-                if ( pItem->aCommandURL.isEmpty() )
+                if ( pItem->aActionURL.isEmpty() )
                 {
                     delete m_pImages;
                     delete m_pExternalImages;
@@ -557,7 +557,7 @@ throw(  SAXException, RuntimeException, std::exception )
 }
 
 void SAL_CALL OReadImagesDocumentHandler::processingInstruction(
-    const OUString& /*aTarget*/, const OUString& /*aData*/ )
+    const OUString& /*aRecipient*/, const OUString& /*aData*/ )
 throw(  SAXException, RuntimeException, std::exception )
 {
 }
@@ -740,7 +740,7 @@ void OWriteImagesDocumentHandler::WriteImage( const ImageItemDescriptor* pImage
 
     pList->AddAttribute( m_aXMLImageNS + ATTRIBUTE_COMMAND,
                          m_aAttributeType,
-                         pImage->aCommandURL );
+                         pImage->aActionURL );
 
     m_xWriteDocumentHandler->startElement( ELEMENT_NS_ENTRY, xList );
     m_xWriteDocumentHandler->ignorableWhitespace( OUString() );
@@ -784,11 +784,11 @@ void OWriteImagesDocumentHandler::WriteExternalImage( const ExternalImageItemDes
                              pExternalImage->aURL );
     }
 
-    if ( !pExternalImage->aCommandURL.isEmpty() )
+    if ( !pExternalImage->aActionURL.isEmpty() )
     {
         pList->AddAttribute( m_aXMLImageNS + ATTRIBUTE_COMMAND,
                              m_aAttributeType,
-                             pExternalImage->aCommandURL );
+                             pExternalImage->aActionURL );
     }
 
     m_xWriteDocumentHandler->startElement( ELEMENT_NS_EXTERNALENTRY, xList );
diff --git a/include/framework/addonmenu.hxx b/include/framework/addonmenu.hxx
index c11eea1..50edbf0 100644
--- a/include/framework/addonmenu.hxx
+++ b/include/framework/addonmenu.hxx
@@ -48,15 +48,15 @@ class FWE_DLLPUBLIC AddonPopupMenu : public AddonMenu
     public:
         virtual ~AddonPopupMenu() override;
 
-        // Check if command URL string has the unique prefix to identify addon popup menus
-        static bool        IsCommandURLPrefix( const OUString& aCmdURL );
+        // Check if URL has the unique prefix
+        static bool        IsActionURLPrefix( const OUString& aURL );
 
-        void               SetCommandURL( const OUString& aCmdURL ) { m_aCommandURL = aCmdURL; }
+        void               SetActionURL( const OUString& aURL ) {  m_aActionURL = aURL;  }
 
     private:
         AddonPopupMenu();
 
-        OUString               m_aCommandURL;
+        OUString               m_aActionURL;
 
     friend class AddonMenuManager;
     friend class ::VclPtr<AddonPopupMenu>;
diff --git a/include/framework/addonsoptions.hxx b/include/framework/addonsoptions.hxx
index 30a46a9..38c30e2 100644
--- a/include/framework/addonsoptions.hxx
+++ b/include/framework/addonsoptions.hxx
@@ -35,7 +35,7 @@
 *//*-*************************************************************************************************************/
 #define ADDONSMENUITEM_STRING_URL                       "URL"
 #define ADDONSMENUITEM_STRING_TITLE                     "Title"
-#define ADDONSMENUITEM_STRING_TARGET                    "Target"
+#define ADDONSMENUITEM_STRING_RECIPIENT                 "Recipient"
 #define ADDONSMENUITEM_STRING_IMAGEIDENTIFIER           "ImageIdentifier"
 #define ADDONSMENUITEM_STRING_CONTEXT                   "Context"
 #define ADDONSMENUITEM_STRING_SUBMENU                   "Submenu"
